Configure Sync
curl --request POST \
--url https://api.jtl-cloud.com/erp/workers/{syncId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Interval": "<string>",
"Configs": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/workers/{syncId}"
payload = {
"Interval": "<string>",
"Configs": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "<string>"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Interval: '<string>',
Configs: [{Identifier: '3c90c3cc-0d44-4b50-8888-8dd25736052a', Value: '<string>'}]
})
};
fetch('https://api.jtl-cloud.com/erp/workers/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/workers/{syncId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'Interval' => '<string>',
'Configs' => [
[
'Identifier' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'Value' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/workers/{syncId}"
payload := strings.NewReader("{\n \"Interval\": \"<string>\",\n \"Configs\": [\n {\n \"Identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"Value\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/workers/{syncId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"Interval\": \"<string>\",\n \"Configs\": [\n {\n \"Identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"Value\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/workers/{syncId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"Interval\": \"<string>\",\n \"Configs\": [\n {\n \"Identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"Value\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"SyncName": "<string>",
"SalesChannelName": "<string>",
"SalesChannelId": "<string>",
"ReportProgress": true,
"Configurations": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"DisplayName": "<string>",
"DisplayDescription": "<string>",
"Type": "<string>",
"CurrentValue": "<string>",
"IsRequired": true
}
],
"Interval": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Worker
Configure Sync
deprecated
Restart the Worker
POST
/
workers
/
{syncId}
Configure Sync
curl --request POST \
--url https://api.jtl-cloud.com/erp/workers/{syncId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Interval": "<string>",
"Configs": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/workers/{syncId}"
payload = {
"Interval": "<string>",
"Configs": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Value": "<string>"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Interval: '<string>',
Configs: [{Identifier: '3c90c3cc-0d44-4b50-8888-8dd25736052a', Value: '<string>'}]
})
};
fetch('https://api.jtl-cloud.com/erp/workers/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/workers/{syncId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'Interval' => '<string>',
'Configs' => [
[
'Identifier' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'Value' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/workers/{syncId}"
payload := strings.NewReader("{\n \"Interval\": \"<string>\",\n \"Configs\": [\n {\n \"Identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"Value\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/workers/{syncId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"Interval\": \"<string>\",\n \"Configs\": [\n {\n \"Identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"Value\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/workers/{syncId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"Interval\": \"<string>\",\n \"Configs\": [\n {\n \"Identifier\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"Value\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"SyncName": "<string>",
"SalesChannelName": "<string>",
"SalesChannelId": "<string>",
"ReportProgress": true,
"Configurations": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"DisplayName": "<string>",
"DisplayDescription": "<string>",
"Type": "<string>",
"CurrentValue": "<string>",
"IsRequired": true
}
],
"Interval": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Headers
Path Parameters
Body
application/json
The relevant Information of the Sync Item
Response
The changed Worker Configuration
Model Class: WorkerSyncItem
Was this page helpful?